Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 12-17-03, 01:00 AM   #1
WMR09
Registered User
 
Join Date: Dec 2003
Posts: 1
Default can't install, looking for "modversions.h"

I just got a dist. of Linux today that uses kernel 2.4.22. I installed xfree86, but then when I went to install the drivers for my video card, and it says that it couldn't find /lib/modules/2.4.22/include/linux/modversions.h I've heard of some other people with this problem, but I couldn't find any answers. What's the deal?

some info on my computer:
P4 2ghz
GeForce 4 MX
WMR09 is offline   Reply With Quote
Old 12-17-03, 06:55 AM   #2
Le_coyote
Registered User
 
Join Date: Dec 2003
Posts: 4
Default

i think you may install the package "kernel-source" or something like that.
the file will be located in "/usr/src/linux/include/linux/modversions.h"
Le_coyote is offline   Reply With Quote
Old 12-17-03, 07:34 AM   #3
Papol
Registered User
 
Join Date: Dec 2003
Posts: 31
Default Re: can't install, looking for "modversions.h"

Like the other reply said, if you don't have source installed that'd easily explain it. If you *do* have source installed, its not an uncommon problem but here's what it is and a fix:

this is for your case with kernel 2.4.22:

Problem: /lib/modules/2.4.22/build is supposed to be symbolic link to the exact kernel source dir so modules built can use kernel includes. That means an "ls -l /lib/modules/2.4.22/build" should return this:

/lib/modules/2.4.22/build -> /usr/src/linux-2.4.22

If it doesn't, and you have source installed for 2.4.22, then here's the fix:

cd /lib/modules/2.4.22
rm build #and confirm it.
ln -s /usr/src/linux-2.4.22 ./build #and do an "ls -l" to make sure it worked out ok.

g/l

Note: Theres a zillion distro's around. If you've found one that doesn't put source in /usr/src, then just point ./build to the right spot which is wherever the source went. Also if you built your source from another disk or directory for whatever reason, and then moved it, the ./build link will be broken, and need repairs as above.



Quote:
Originally posted by WMR09
I just got a dist. of Linux today that uses kernel 2.4.22. I installed xfree86, but then when I went to install the drivers for my video card, and it says that it couldn't find /lib/modules/2.4.22/include/linux/modversions.h I've heard of some other people with this problem, but I couldn't find any answers. What's the deal?

some info on my computer:
P4 2ghz
GeForce 4 MX
Papol is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Mageia 2 Cannot Install 71.86.15 for Riva TNT/TNT2 kbulgrien NVIDIA Linux 3 06-29-12 08:27 AM
nForce + RedHat 7.3 Success Story rtz NVIDIA Linux 47 02-15-03 02:20 AM
Red Hat null(limbo beta 3), guide to install Nvidia Drivers utiel NVIDIA Linux 21 09-30-02 05:32 PM
can't install old det's after 40.41's m!n!0n NVIDIA Windows Graphics Drivers 1 09-16-02 11:58 AM
How to install Divx+player to SUSE linux guide... kaarelcool NVIDIA Linux 1 08-27-02 07:54 AM

All times are GMT -5. The time now is 07:40 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.